Subject: bug#1032: foreground-color in default-frame-alist affects tooltips, while background-color does not

From: martin rudalics <[email-masked]>
Date: Thu, 30 Oct 2008 12:40:17 +0100

> Judging from the code, I think the idea is not to modify
> `tooltip-frame-parameters', *except* for
> (foreground|background|border)-color, if they appear (if they don't,
> they are not added). The reasoning being that allowing such parameters
> with values that are not being obeyed would be misleading.

Now I understand.

> The right thing to do, IMHO, is to change tooltip-show not to modify
> `tooltip-frame-parameters', and fix the variable's docstring to
> explain that the color attributes of the tooltip frame come from the
> tooltip face. WDYT about the attached patch?

Looks good.  Did you check that parameters appearing later in the
list don't override parameters appearing earlier?

> I cannot reproduce it. The new tooltip appears after a small delay.

I see - it's 10 seconds here - not really small ;-)

martin